import request from '@/utils/request'

// 查询从业人员信息变更记录列表
export function listChangelog(query) {
  return request({
    url: '/system/changelog/list',
    method: 'get',
    params: query
  })
}

// 查询从业人员信息变更记录详细
export function getChangelog(employedPeopleId) {
  return request({
    url: '/system/changelog/' + employedPeopleId,
    method: 'get'
  })
}

// 新增从业人员信息变更记录
export function addChangelog(data) {
  return request({
    url: '/system/changelog',
    method: 'post',
    data: data
  })
}

// 修改从业人员信息变更记录
export function updateChangelog(data) {
  return request({
    url: '/system/changelog',
    method: 'put',
    data: data
  })
}

// 删除从业人员信息变更记录
export function delChangelog(employedPeopleId) {
  return request({
    url: '/system/changelog/' + employedPeopleId,
    method: 'delete'
  })
}

// 导出从业人员信息变更记录
export function exportChangelog(query) {
  return request({
    url: '/system/changelog/export',
    method: 'get',
    params: query
  })
}
